package com.lightinit.hsdatashow.dictionary;

import java.util.LinkedHashMap;

public class DicWaterSupplyType {
    public static final String GROUNDWATER = "地下水";
    public static final String SURFACEWATERS = "地表水";

    private static DicWaterSupplyType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicWaterSupplyType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(GROUNDWATER, GROUNDWATER);
        dicMap.put(SURFACEWATERS, SURFACEWATERS);
    }

    public static DicWaterSupplyType getInstacne(){
        if (instance == null)
        {
            instance = new DicWaterSupplyType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }

}
